Search found 18 matches

Go to advanced search

by mark1791
Mon Feb 18, 2019 6:09 am
Forum: Developers corner
Topic: Create and display local coordinate system
Replies: 51
Views: 3794

Re: Create and display local coordinate system

Hi All Stumbled across this forum post about Axis systems, i am wondering is it possible to add in the ability to define the App:Placement a Vector for the Z Axis and even one for the X Axis would be nice?. I did try to use .Normal vector or .Rotation but it didn't work. I can Create a Axis on the p...
by mark1791
Sat Feb 09, 2019 2:10 pm
Forum: Open discussion
Topic: FreeCad compared to other platforms
Replies: 5
Views: 485

Re: FreeCad compared to other platforms

Hi will Hi. I have been using FreeCad for a few months now for fun, and it has been enjoyable. It seems that all of the CAD platforms used by businesses are insanely expensive, so I am wondering if any of what I learn from FreeCAD will transfer into other platforms. Perhaps other have experience wit...
by mark1791
Sun Feb 03, 2019 4:20 am
Forum: Help on using FreeCAD
Topic: .stp imports to FeeCad fine. Exporting to .stl or .obj gives issues upon import to Blender.
Replies: 15
Views: 360

Re: .stp imports to FeeCad fine. Exporting to .stl or .obj gives issues upon import to Blender.

Looking at a similar model before you sent the link from GrabCAD, looks like a exported step file from ProE, engine department people generally design in ProE and the other departments use CATIA.... Opening the step file in FreeCAD via File import, imports the model as a single solid, where as if yo...
by mark1791
Tue Jan 08, 2019 1:26 am
Forum: Help on using FreeCAD
Topic: Make the selected object the ActiveObject
Replies: 7
Views: 1491

Re: Make the selected object the ActiveObject

Hi All Figured it out in the end modifying the code as the below worked. May help someone in the future getting there head around the idiosyncrasies of FreeCad Python, the below modification will modify the mesh of the first selected object. Mark import FreeCAD, FreeCADGui, math #from FreeCAD import...
by mark1791
Mon Jan 07, 2019 6:07 am
Forum: Users Showcase
Topic: First Model In FreeCAD Raspberry PI Zero with 2 Phats with heights that can be Modified
Replies: 3
Views: 2154

Re: First Model In FreeCAD Raspberry PI Zero with 2 Phats with heights that can be Modified

Hi All Just an update to the project i have been working on, using it to improve my skill at FreeCad, attached is the model if anyone is interested. The project is to make a portable Temperature/Humidity/Air Quality Monitoring system using a Raspberry ZeroW, off the shelf components from AdaFruit an...
by mark1791
Mon Jan 07, 2019 5:22 am
Forum: Help on using FreeCAD
Topic: Make the selected object the ActiveObject
Replies: 7
Views: 1491

Re: Make the selected object the ActiveObject

Hi All Hope someone can help, i am trying via python to make the selected object the active object so i can do some manipulation using the meshWB as a module in a workbench, cannot seem to get it to work how i want it, it will work on the active object but i cannot seem to get it to use the selected...
by mark1791
Mon Dec 31, 2018 12:18 pm
Forum: Announcements & Features
Topic: Explode Compound tool for Part workbench + Slice-apart command
Replies: 10
Views: 1158

Re: Explode Compound tool for Part workbench + Slice-apart command

Excellent work DeepSoic, from my perspective that this is in one command, from recently coming to FreeCad from Catia it was not clear how to get one side of the sliced part, compound filter is a rather obtuse name and not clear what it attempts todo, needing alot of googleing and questions in the fo...
by mark1791
Sat Dec 29, 2018 5:52 am
Forum: Help on using FreeCAD
Topic: How to fill the hole with a Surface?
Replies: 7
Views: 327

Re: How to fill the hole with a Surface?

Hi Chris_G Thanks for the reply, i managed to recreate your process successfully, had to google 'compounds' as not come across that before. Your workbench is good, helps alot with creating surfaces. Please note that Part->CheckGeometry reports quite a lot of small errors on your original shell, so y...
by mark1791
Fri Dec 28, 2018 2:07 am
Forum: Help on using FreeCAD
Topic: How to fill the hole with a Surface?
Replies: 7
Views: 327

Re: How to fill the hole with a Surface?

Hi @hammax Thanks for you solution, i did find a different way but not a correct solution as leaves gaps to the surrounding surfaces by creating two blend curves and a approximate surface, see attached freecad file and picture below. One weird thing is the shell disappears from the tree but is still...
by mark1791
Thu Dec 27, 2018 2:42 am
Forum: Help on using FreeCAD
Topic: How to fill the hole with a Surface?
Replies: 7
Views: 327

How to fill the hole with a Surface?

Hi I wonder if anyone can help?, I have been trying unsuccessfully to fill a hole in a group of faces and maintain tangency, see below picture of the surfaces, its a small part of a larger surface for a tooling die face for a roof die, i am trying to recreate the prototype tooling in FreeCad. I have...

Go to advanced search